[psp] psptoolchain patch to build gdb using gcc-4.4

Create a single thread for each patch to be added to the repository. Please try to stay on topic.
Post Reply
rarjam
Posts: 2
Joined: Mon Apr 13, 2009 1:04 am

[psp] psptoolchain patch to build gdb using gcc-4.4

Post by rarjam »

Here is a patch that disables error while building gdb-6.8 using gcc-4.4. It compiled without error on the latest svn (as of today). Can't vouch whether the build is correct or not though.

Code: Select all

--- scripts/007-gdb-6.8.sh.orig	2009-06-30 06:48:42.000000000 -0700
+++ scripts/007-gdb-6.8.sh	2009-06-30 06:55:01.000000000 -0700
@@ -14,7 +14,7 @@
  mkdir build-psp && cd build-psp || { exit 1; }
 
  ## Configure the build.
- ../configure --prefix="$PSPDEV" --target="psp" --disable-nls || { exit 1; }
+ ../configure --prefix="$PSPDEV" --target="psp" --disable-werror --disable-nls || { exit 1; }
 
  ## Compile and install.
  make clean && make -j 2 && make install && make clean || { exit 1; }
Specifically, just add --disable-werror in scripts/007-gdb-6.8.sh configure line.

Save to a file and run from the source directory:

Code: Select all

patch -p0 < file
jimparis
Posts: 1145
Joined: Fri Jun 10, 2005 4:21 am
Location: Boston

Post by jimparis »

Applied in rev 2468, thanks
Post Reply